curl --request POST \
--url https://api.harmonyforstaffing.com/api/statuses \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"name": "In Review",
"type": "CANDIDATE",
"description": "Candidate is being reviewed by the hiring team",
"isDefault": false,
"isActive": true,
}'
{
"id": 123,
"name": "In Review",
"type": "CANDIDATE",
"description": "Candidate is being reviewed by the hiring team",
"isDefault": false,
"isActive": true,
"dateAdded": 1679253000
}
Statuses
Create Status
Create a new status
POST
/
api
/
statuses
curl --request POST \
--url https://api.harmonyforstaffing.com/api/statuses \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"name": "In Review",
"type": "CANDIDATE",
"description": "Candidate is being reviewed by the hiring team",
"isDefault": false,
"isActive": true,
}'
{
"id": 123,
"name": "In Review",
"type": "CANDIDATE",
"description": "Candidate is being reviewed by the hiring team",
"isDefault": false,
"isActive": true,
"dateAdded": 1679253000
}
Create a new status for candidates, jobs, or job submissions.
Body Parameters
string
required
Name of the status
string
required
Type of entity this status applies to
string
Description of what this status means
boolean
Whether this is the default status for new entities
boolean
Whether this status is active
Response
integer
The ID of the created status
integer
Unix timestamp when the status was added
curl --request POST \
--url https://api.harmonyforstaffing.com/api/statuses \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"name": "In Review",
"type": "CANDIDATE",
"description": "Candidate is being reviewed by the hiring team",
"isDefault": false,
"isActive": true,
}'
{
"id": 123,
"name": "In Review",
"type": "CANDIDATE",
"description": "Candidate is being reviewed by the hiring team",
"isDefault": false,
"isActive": true,
"dateAdded": 1679253000
}